org.apache.tinkerpop.gremlin.process.traversal.engine

## Class ComputerTraversalEngine.Builder

- java.lang.Object
- - org.apache.tinkerpop.gremlin.process.traversal.engine.ComputerTraversalEngine.Builder

- All Implemented Interfaces:
    Serializable, TraversalEngine.Builder
  Enclosing class:
    ComputerTraversalEngine

  Deprecated.
  As of release 3.2.0. Please use `Graph.traversal(Class)`.

      @Deprecated
      public static final class ComputerTraversalEngine.Builder
      extends Object
      implements TraversalEngine.Builder

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Builder()` Deprecated.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `ComputerTraversalEngine.Builder` | `computer(Class<? extends GraphComputer> graphComputerClass)` Deprecated. As of release 3.2.0. Please use `Graph.traversal(Class)`.
    `ComputerTraversalEngine` | `create(Graph graph)` Deprecated. As of release 3.2.0. Please use `Graph.traversal(Class)`.
    `TraversalSource` | `create(GraphTraversalSource traversalSource)` Deprecated. As of release 3.2.0. Please use `Graph.traversal(Class)`.
    `ComputerTraversalEngine.Builder` | `edges(Traversal<Vertex,Edge> edgeFilter)` Deprecated. As of release 3.2.0. Please use `Graph.traversal(Class)`.
    `List<TraversalStrategy>` | `getWithStrategies()` Deprecated. As of release 3.2.0. Please use `Graph.traversal(Class)`.
    `ComputerTraversalEngine.Builder` | `vertices(Traversal<Vertex,Vertex> vertexFilter)` Deprecated. As of release 3.2.0. Please use `Graph.traversal(Class)`.
    `ComputerTraversalEngine.Builder` | `workers(int workers)` Deprecated. As of release 3.2.0. Please use `Graph.traversal(Class)`.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.apache.tinkerpop.gremlin.process.traversal.TraversalEngine.Builder

      `getWithoutStrategies`

- - ### Constructor Detail

    - #### Builder

          public Builder()

      Deprecated.

  - ### Method Detail

    - #### getWithStrategies

          @Deprecated
          public List<TraversalStrategy> getWithStrategies()

      Deprecated. As of release 3.2.0. Please use `Graph.traversal(Class)`.
      Description copied from interface: `TraversalEngine.Builder`
      A list of `TraversalStrategy` instances that should be applied to the ultimate `Traversal`.
      Specified by:
        `getWithStrategies` in interface `TraversalEngine.Builder`
      Returns:
        strategies to apply (if any).

    - #### workers

          @Deprecated
          public ComputerTraversalEngine.Builder workers(int workers)

      Deprecated. As of release 3.2.0. Please use `Graph.traversal(Class)`.

    - #### computer

          @Deprecated
          public ComputerTraversalEngine.Builder computer(Class<? extends GraphComputer> graphComputerClass)

      Deprecated. As of release 3.2.0. Please use `Graph.traversal(Class)`.

    - #### vertices

          @Deprecated
          public ComputerTraversalEngine.Builder vertices(Traversal<Vertex,Vertex> vertexFilter)

      Deprecated. As of release 3.2.0. Please use `Graph.traversal(Class)`.

    - #### edges

          @Deprecated
          public ComputerTraversalEngine.Builder edges(Traversal<Vertex,Edge> edgeFilter)

      Deprecated. As of release 3.2.0. Please use `Graph.traversal(Class)`.

    - #### create

          @Deprecated
          public ComputerTraversalEngine create(Graph graph)

      Deprecated. As of release 3.2.0. Please use `Graph.traversal(Class)`.
      Description copied from interface: `TraversalEngine.Builder`
      Create the `TraversalEngine`.
      Specified by:
        `create` in interface `TraversalEngine.Builder`
      Parameters:
        `graph` - the graph to ultimately have the `Traversal` execute over.
      Returns:
        a `TraversalEngine` that is particular to a `Traversal`.

    - #### create

          @Deprecated
          public TraversalSource create(GraphTraversalSource traversalSource)

      Deprecated. As of release 3.2.0. Please use `Graph.traversal(Class)`.

Copyright © 2013–2020 Apache Software Foundation. All rights reserved.